> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gateway Fees



## OpenAPI

````yaml https://api.heydollr.app/openapi.json get /{version}/fees/gateway
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/fees/gateway:
    get:
      tags:
        - fees
      summary: Get Gateway Fees
      operationId: get_gateway_fees__version__fees_gateway_get
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
        - name: payment_method
          in: query
          required: true
          schema:
            anyOf:
              - enum:
                  - MTN_MOMO_LBR
                  - ORANGE_MONEY_LBR
                  - AIRTEL_RWA
                  - MTN_MOMO_RWA
                  - ORANGE_MONEY_RWA
                type: string
              - const: CREDIT_CARD
                type: string
              - const: WALLET
                type: string
            title: Payment method
        - name: operation_type
          in: query
          required: true
          schema:
            enum:
              - COLLECTION
              - PAYOUT
              - TRANSFER
              - REFUND
            type: string
            title: Operation type (e.g. COLLECTION, PAYOUT)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeeWithProviderResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    FeeWithProviderResponse:
      properties:
        id:
          type: integer
          title: Id
        provider_id:
          type: integer
          title: Provider Id
        operation_type:
          type: string
          title: Operation Type
        payment_method:
          type: string
          title: Payment Method
        percentage:
          anyOf:
            - type: number
            - type: integer
          title: Percentage
        fixed_fee:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Fixed Fee
          description: Amount
        fixed_fee_currency:
          anyOf:
            - type: string
              maxLength: 3
              minLength: 3
            - type: 'null'
          title: Fixed Fee Currency
        effective_from:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Effective From
        effective_to:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Effective To
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - provider_id
        - operation_type
        - payment_method
        - percentage
        - created_at
        - updated_at
      title: FeeWithProviderResponse
      description: FeeWithProviderResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````